# Uses of Interface
org.eclipse.emf.cdo.spi.server.InternalRepository

Packages that use InternalRepository
Package
Description
org.eclipse.emf.cdo.lm.server
Server integration of the CDO Lifecycle Management.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.spi.security
Server provider interfaces (SPI) for the server integration of the `Security` model.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.spi.workspace
Server provider interfaces (SPI) for CDO `workspaces`.

## Uses of InternalRepository in org.eclipse.emf.cdo.lm.server

Methods in org.eclipse.emf.cdo.lm.server that return InternalRepository
Modifier and Type
Method
Description
`protected abstract InternalRepository`
AbstractLifecycleManager.`createModuleRepository(String moduleName)`
`protected InternalRepository`
XMLLifecycleManager.`createModuleRepository(String moduleName)`
`InternalRepository`
AbstractLifecycleManager.`getSystemRepository()`
Methods in org.eclipse.emf.cdo.lm.server that return types with arguments of type InternalRepository
Modifier and Type
Method
Description
`final Map<String,InternalRepository>`
AbstractLifecycleManager.`getModuleRepositories()`
Methods in org.eclipse.emf.cdo.lm.server with parameters of type InternalRepository
Modifier and Type
Method
Description
`protected void`
LMAppExtension.`configureFingerPrinter(Element lmElement, InternalRepository repository, XMLLifecycleManager lifecycleManager)`
`protected void`
LMAppExtension.`configureLifecycleManager(InternalRepository repository, Element lmElement)`
`protected CDOFingerPrinter`
LMAppExtension.`createFingerPrinter(InternalRepository repository, Element lmElement)`
`protected XMLLifecycleManager`
LMAppExtension.`createLifecycleManager(InternalRepository repository, Element lmElement)`
`protected CDONet4jSession`
AbstractLifecycleManager.`openModuleSession(InternalRepository moduleRepository)`
`void`
AbstractLifecycleManager.`setSystemRepository(InternalRepository repository)`
`protected void`
LMAppExtension.`start(InternalRepository repository, Element repositoryConfig)`
`protected void`
LMAppExtension.`stop(InternalRepository repository)`

## Uses of InternalRepository in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return InternalRepository
Modifier and Type
Method
Description
`protected InternalRepository`
CDOServerBrowser.`getRepository(String name)`
`protected final InternalRepository`
CDOServerImporter.`getRepository()`
Methods in org.eclipse.emf.cdo.server that return types with arguments of type InternalRepository
Modifier and Type
Method
Description
`Map<String,InternalRepository>`
CDOServerBrowser.`getRepositories()`
Methods in org.eclipse.emf.cdo.server with parameters of type InternalRepository
Modifier and Type
Method
Description
`boolean`
CDOServerBrowser.BranchesPage.`canDisplay(InternalRepository repository)`
`boolean`
CDOServerBrowser.HistoryPage.`canDisplay(InternalRepository repository)`
`boolean`
CDOServerBrowser.LobsPage.`canDisplay(InternalRepository repository)`
`boolean`
CDOServerBrowser.LocksPage.`canDisplay(InternalRepository repository)`
`boolean`
CDOServerBrowser.PackagesPage.`canDisplay(InternalRepository repository)`
`boolean`
CDOServerBrowser.Page.`canDisplay(InternalRepository repository)`
`boolean`
CDOServerBrowser.RevisionsPage.FromCache.`canDisplay(InternalRepository repository)`
`boolean`
CDOServerBrowser.RevisionsPage.FromStore.`canDisplay(InternalRepository repository)`
`void`
CDOServerBrowser.BranchesPage.`display(CDOServerBrowser browser, InternalRepository repository, PrintStream out)`
`void`
CDOServerBrowser.HistoryPage.`display(CDOServerBrowser browser, InternalRepository repository, PrintStream out)`
`void`
CDOServerBrowser.LobsPage.`display(CDOServerBrowser browser, InternalRepository repository, PrintStream out)`
`void`
CDOServerBrowser.LocksPage.`display(CDOServerBrowser browser, InternalRepository repository, PrintStream out)`
`void`
CDOServerBrowser.PackagesPage.`display(CDOServerBrowser browser, InternalRepository repository, PrintStream out)`
`void`
CDOServerBrowser.Page.`display(CDOServerBrowser browser, InternalRepository repository, PrintStream out)`
`void`
CDOServerBrowser.RevisionsPage.`display(CDOServerBrowser browser, InternalRepository repository, PrintStream out)`
`protected Map<CDOBranch,List<CDORevision>>`
CDOServerBrowser.RevisionsPage.FromCache.`getAllRevisions(InternalRepository repository)`
`protected Map<CDOBranch,List<CDORevision>>`
CDOServerBrowser.RevisionsPage.FromStore.`getAllRevisions(InternalRepository repository)`
`protected abstract Map<CDOBranch,List<CDORevision>>`
CDOServerBrowser.RevisionsPage.`getAllRevisions(InternalRepository repository)`
`protected void`
CDOServerBrowser.RevisionsPage.`showRevision(PrintStream pout, CDOServerBrowser browser, Map<CDOBranch,List<CDORevision>> allRevisions, Map<CDOID,List<CDORevision>> ids, String key, InternalRepository repository)`
Constructor parameters in org.eclipse.emf.cdo.server with type arguments of type InternalRepository
Modifier
Constructor
Description
``
`CDOServerBrowser(Map<String,InternalRepository> repositories)`

## Uses of InternalRepository in org.eclipse.emf.cdo.server.spi.security

Methods in org.eclipse.emf.cdo.server.spi.security that return InternalRepository
Modifier and Type
Method
Description
`InternalRepository[]`
InternalSecurityManager.`getSecondaryRepositories()`
Methods in org.eclipse.emf.cdo.server.spi.security with parameters of type InternalRepository
Modifier and Type
Method
Description
`void`
InternalSecurityManager.`addSecondaryRepository(InternalRepository repository)`
`void`
InternalSecurityManager.`addSecondaryRepository(InternalRepository repository, Map<String,Object> authorizationContext)`
`void`
InternalSecurityManager.`removeSecondaryRepository(InternalRepository repository)`
`void`
InternalSecurityManager.`setRepository(InternalRepository repository)`

## Uses of InternalRepository in org.eclipse.emf.cdo.spi.server

Subinterfaces of InternalRepository in org.eclipse.emf.cdo.spi.server
Modifier and Type
Interface
Description
`interface`
`InternalFailoverParticipant`
If the meaning of this type isn't clear, there really should be more of a description here...
`interface`
`InternalSynchronizableRepository`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.cdo.spi.server that return InternalRepository
Modifier and Type
Method
Description
`protected final InternalRepository`
AbstractAppExtension.`getRepository(IRepository[] repositories, String name)`
`InternalRepository`
InternalCommitManager.`getRepository()`
`InternalRepository`
InternalLockManager.`getRepository()`
`InternalRepository`
InternalQueryManager.`getRepository()`
`InternalRepository`
InternalSession.`getRepository()`
`InternalRepository`
InternalSessionManager.`getRepository()`
`InternalRepository`
InternalStore.`getRepository()`
`InternalRepository`
InternalUnitManager.`getRepository()`
`InternalRepository`
InternalView.`getRepository()`
`InternalRepository`
Store.`getRepository()`
`InternalRepository`
InternalRepository.PackagesInitializedEvent.`getSource()`
Methods in org.eclipse.emf.cdo.spi.server with parameters of type InternalRepository
Modifier and Type
Method
Description
`protected void`
RepositoryConfigurator.`addOperationAuthorizer(InternalRepository repository, String type, String description)`
`protected void`
RepositoryConfigurator.`addOperationAuthorizers(InternalRepository repository, Element repositoryConfig)`
`String`
RepositoryConfigurator.Extension.`configureRepository(InternalRepository repository, Element extensionConfig, Map<String,String> parameters, org.eclipse.net4j.util.container.IManagedContainer container)`
`protected abstract String`
RepositoryConfigurator.TreeExtension.`configureRepository(InternalRepository repository, org.eclipse.net4j.util.collection.Tree config, Map<String,String> parameters, org.eclipse.net4j.util.container.IManagedContainer container)`
`String`
RepositoryConfigurator.TreeExtension.`configureRepository(InternalRepository repository, Element extensionConfig, Map<String,String> parameters, org.eclipse.net4j.util.container.IManagedContainer container)`
`final void`
CDOCommand.WithAccessor.`execute(InternalRepository repository, String[] args)`
`abstract void`
CDOCommand.WithAccessor.`execute(InternalRepository repository, IStoreAccessor accessor, String[] args)`
`abstract void`
CDOCommand.WithRepository.`execute(InternalRepository repository, String[] args)`
`protected void`
RepositoryConfigurator.`setActivityLog(InternalRepository repository, Element repositoryConfig)`
`protected void`
RepositoryConfigurator.`setAuthenticator(InternalRepository repository, Element repositoryConfig)`
`void`
InternalCommitManager.`setRepository(InternalRepository repository)`
`void`
InternalLockManager.`setRepository(InternalRepository repository)`
`void`
InternalQueryManager.`setRepository(InternalRepository repository)`
`void`
InternalSessionManager.`setRepository(InternalRepository repository)`
`protected void`
RepositoryConfigurator.`setUserManager(InternalRepository repository, Element repositoryConfig)`
`protected abstract void`
AppExtension.`start(InternalRepository repository, Element repositoryConfig)`
`protected abstract void`
AppExtension.`stop(InternalRepository repository)`

## Uses of InternalRepository in org.eclipse.emf.cdo.spi.workspace

Methods in org.eclipse.emf.cdo.spi.workspace that return InternalRepository
Modifier and Type
Method
Description
`InternalRepository`
InternalCDOWorkspace.`getLocalRepository()`